Bug 175042 - Unable to handle kernel paging request
Unable to handle kernel paging request
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-05 17:52 EST by Mike Tiernan
Modified: 2015-01-04 17:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 22:01:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.6.12 Oops w/o dgdm driver (2.63 KB, text/plain)
2005-12-12 13:57 EST, Mike Tiernan
no flags Details

  None (edit)
Description Mike Tiernan 2005-12-05 17:52:57 EST
We're experiencing an intermittent problem with the 2.6.9 and 2.6.12 kernels 
running on Dell PowerEdge 2600's. The output in /var/log/messages 
states "Unable to handle kernel paging request at virtual address xxxxxxxx". 
I've attached the output from one of the incidents when the 2.6.12 kernel was 
running. The stack trace varies somewhat - we've observed incidents when the 
following processes were running - sshd, irqbalance, and slabtop. Our 
application is video intensive and uses the bttv driver to NTSC capture frames 
from two different channels at 30fps. At times, we've been able to reproduce 
the problem by running slabtop. I've included information about the system. 

************************************************

processor	: 0
vendor_id	: GenuineIntel
cpu family	: 15
model		: 2
model name	: Intel(R) Xeon(TM) CPU 3.06GHz
stepping	: 5
cpu MHz		: 3057.754
cache size	: 512 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 1
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov 
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips	: 6062.08

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 15
model		: 2
model name	: Intel(R) Xeon(TM) CPU 3.06GHz
stepping	: 5
cpu MHz		: 3057.754
cache size	: 512 KB
physical id	: 0
siblings	: 2
core id		: 0
cpu cores	: 1
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov 
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips	: 6094.84

processor	: 2
vendor_id	: GenuineIntel
cpu family	: 15
model		: 2
model name	: Intel(R) Xeon(TM) CPU 3.06GHz
stepping	: 5
cpu MHz		: 3057.754
cache size	: 512 KB
physical id	: 3
siblings	: 2
core id		: 3
cpu cores	: 1
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov 
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips	: 6094.84

processor	: 3
vendor_id	: GenuineIntel
cpu family	: 15
model		: 2
model name	: Intel(R) Xeon(TM) CPU 3.06GHz
stepping	: 5
cpu MHz		: 3057.754
cache size	: 512 KB
physical id	: 3
siblings	: 2
core id		: 3
cpu cores	: 1
fdiv_bug	: no
hlt_bug		: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov 
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips	: 6094.84

*****************************************************
00:00.0 Host bridge: Intel Corp. E7501 Memory Controller Hub (rev 01)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 0
	Capabilities: [40] Vendor Specific Information

00:02.0 PCI bridge: Intel Corp. E7500/E7501 Hub Interface B PCI-to-PCI Bridge 
(rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap- 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 64
	Bus: primary=00, secondary=01, subordinate=03, sec-latency=0
	I/O behind bridge: 0000d000-0000efff
	Memory behind bridge: fdb00000-fe0fffff
	Prefetchable memory behind bridge: fff00000-000fffff
	Secondary status: 66Mhz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-

00:03.0 PCI bridge: Intel Corp. E7500/E7501 Hub Interface C PCI-to-PCI Bridge 
(rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap- 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 64
	Bus: primary=00, secondary=04, subordinate=06, sec-latency=0
	I/O behind bridge: 0000f000-00000fff
	Memory behind bridge: fd900000-fdafffff
	Prefetchable memory behind bridge: fff00000-000fffff
	Secondary status: 66Mhz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-

00:04.0 PCI bridge: Intel Corp. E7500/E7501 Hub Interface D PCI-to-PCI Bridge 
(rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap- 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 64
	Bus: primary=00, secondary=07, subordinate=0a, sec-latency=0
	I/O behind bridge: 0000f000-00000fff
	Memory behind bridge: fd000000-fd7fffff
	Prefetchable memory behind bridge: feb00000-febfffff
	Secondary status: 66Mhz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-

00:1d.0 USB Controller: Intel Corp. 82801CA/CAM USB (Hub #1) (rev 02) (prog-if 
00 [UHCI])
	Subsystem: Dell: Unknown device 0123
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Interrupt: pin A routed to IRQ 201
	Region 4: I/O ports at bce0 [size=32]

00:1e.0 PCI bridge: Intel Corp. 82801 PCI Bridge (rev 42) (prog-if 00 [Normal 
decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 0
	Bus: primary=00, secondary=0b, subordinate=0c, sec-latency=32
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fb000000-fcffffff
	Prefetchable memory behind bridge: fea00000-feafffff
	Secondary status: 66Mhz- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-

00:1f.0 ISA bridge: Intel Corp. 82801CA LPC Interface Controller (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 0

00:1f.1 IDE interface: Intel Corp. 82801CA Ultra ATA Storage Controller (rev 
02) (prog-if 8a [Master SecP PriP])
	Subsystem: Dell: Unknown device 0123
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B-
	Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 0
	Interrupt: pin A routed to IRQ 0
	Region 0: I/O ports at <unassigned>
	Region 1: I/O ports at <unassigned>
	Region 2: I/O ports at <unassigned>
	Region 3: I/O ports at <unassigned>
	Region 4: I/O ports at fc00 [size=16]
	Region 5: Memory at 80000000 (32-bit, non-prefetchable) [size=1K]

01:1c.0 PIC: Intel Corp. 82870P2 P64H2 I/OxAPIC (rev 04) (prog-if 20 [IO(X)-
APIC])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 0
	Region 0: Memory at fdbff000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [50] PCI-X non-bridge device.
		Command: DPERE- ERO- RBC=0 OST=0
		Status: Bus=1 Dev=28 Func=0 64bit+ 133MHz+ SCD- USC-, 
DC=simple, DMMRBC=0, DMOST=0, DMCRS=0, RSCEM-

01:1d.0 PCI bridge: Intel Corp. 82870P2 P64H2 Hub PCI Bridge (rev 04) (prog-if 
00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 64, Cache Line Size 10
	Bus: primary=01, secondary=02, subordinate=02, sec-latency=64
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: fdf00000-fe0fffff
	Prefetchable memory behind bridge: 00000000fff00000-0000000000000000
	Secondary status: 66Mhz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
	Capabilities: [50] PCI-X bridge device.
		Secondary Status: 64bit+, 133MHz+, SCD-, USC-, SCO-, SRD- 
Freq=3
		Status: Bus=1 Dev=29 Func=0 64bit+ 133MHz+ SCD- USC-, SCO-, 
SRD-
		: Upstream: Capacity=65535, Commitment Limit=0
		: Downstream: Capacity=65535, Commitment Limit=0

01:1e.0 PIC: Intel Corp. 82870P2 P64H2 I/OxAPIC (rev 04) (prog-if 20 [IO(X)-
APIC])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 0
	Region 0: Memory at fdbfe000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [50] PCI-X non-bridge device.
		Command: DPERE- ERO- RBC=0 OST=0
		Status: Bus=1 Dev=30 Func=0 64bit+ 133MHz+ SCD- USC-, 
DC=simple, DMMRBC=0, DMOST=0, DMCRS=0, RSCEM-

01:1f.0 PCI bridge: Intel Corp. 82870P2 P64H2 Hub PCI Bridge (rev 04) (prog-if 
00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 64, Cache Line Size 10
	Bus: primary=01, secondary=03, subordinate=03, sec-latency=64
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: fdd00000-fdefffff
	Prefetchable memory behind bridge: 00000000fff00000-0000000000000000
	Secondary status: 66Mhz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
	Capabilities: [50] PCI-X bridge device.
		Secondary Status: 64bit+, 133MHz+, SCD-, USC-, SCO-, SRD- 
Freq=3
		Status: Bus=1 Dev=31 Func=0 64bit+ 133MHz+ SCD- USC-, SCO-, 
SRD-
		: Upstream: Capacity=65535, Commitment Limit=0
		: Downstream: Capacity=65535, Commitment Limit=0

02:02.0 Ethernet controller: Intel Corp. 82546EB Gigabit Ethernet Controller 
(Copper) (rev 01)
	Subsystem: Intel Corp.: Unknown device 1012
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 64 (63750ns min), Cache Line Size 10
	Interrupt: pin A routed to IRQ 177
	Region 0: Memory at fdfe0000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at ecc0 [size=64]
	Capabilities: [dc] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-
,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [e4] PCI-X non-bridge device.
		Command: DPERE- ERO+ RBC=0 OST=0
		Status: Bus=2 Dev=2 Func=0 64bit+ 133MHz+ SCD- USC-, 
DC=simple, DMMRBC=2, DMOST=0, DMCRS=1, RSCEM-
	Capabilities: [f0] Message Signalled Interrupts: 64bit+ Queue=0/0 
Enable-
		Address: 0000000000000000  Data: 0000

02:02.1 Ethernet controller: Intel Corp. 82546EB Gigabit Ethernet Controller 
(Copper) (rev 01)
	Subsystem: Intel Corp.: Unknown device 1012
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 64 (63750ns min), Cache Line Size 10
	Interrupt: pin B routed to IRQ 185
	Region 0: Memory at fdfc0000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at ec80 [size=64]
	Capabilities: [dc] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-
,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [e4] PCI-X non-bridge device.
		Command: DPERE- ERO+ RBC=0 OST=0
		Status: Bus=2 Dev=2 Func=1 64bit+ 133MHz+ SCD- USC-, 
DC=simple, DMMRBC=2, DMOST=0, DMCRS=1, RSCEM-
	Capabilities: [f0] Message Signalled Interrupts: 64bit+ Queue=0/0 
Enable-
		Address: 0000000000000000  Data: 0000

03:01.0 Ethernet controller: Intel Corp. 82544GC Gigabit Ethernet Controller 
(LOM) (rev 02)
	Subsystem: Dell PRO/1000 XT Network Connection
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 64 (63750ns min), Cache Line Size 10
	Interrupt: pin A routed to IRQ 193
	Region 0: Memory at fdde0000 (64-bit, non-prefetchable) [size=128K]
	Region 2: Memory at fddc0000 (64-bit, non-prefetchable) [size=128K]
	Region 4: I/O ports at dce0 [size=32]
	Expansion ROM at fde00000 [disabled] [size=128K]
	Capabilities: [dc] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-
,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=1 PME-
	Capabilities: [e4] PCI-X non-bridge device.
		Command: DPERE- ERO+ RBC=0 OST=0
		Status: Bus=3 Dev=1 Func=0 64bit+ 133MHz+ SCD- USC-, 
DC=simple, DMMRBC=2, DMOST=0, DMCRS=1, RSCEM-
	Capabilities: [f0] Message Signalled Interrupts: 64bit+ Queue=0/0 
Enable-
		Address: 0000000000000000  Data: 0000

04:1c.0 PIC: Intel Corp. 82870P2 P64H2 I/OxAPIC (rev 04) (prog-if 20 [IO(X)-
APIC])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 0
	Region 0: Memory at fd9ff000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [50] PCI-X non-bridge device.
		Command: DPERE- ERO- RBC=0 OST=0
		Status: Bus=4 Dev=28 Func=0 64bit+ 133MHz+ SCD- USC-, 
DC=simple, DMMRBC=0, DMOST=0, DMCRS=0, RSCEM-

04:1d.0 PCI bridge: Intel Corp. 82870P2 P64H2 Hub PCI Bridge (rev 04) (prog-if 
00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 64, Cache Line Size 10
	Bus: primary=04, secondary=05, subordinate=05, sec-latency=64
	I/O behind bridge: 0000f000-00000fff
	Memory behind bridge: fff00000-000fffff
	Prefetchable memory behind bridge: 00000000fff00000-0000000000000000
	Secondary status: 66Mhz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
	Capabilities: [50] PCI-X bridge device.
		Secondary Status: 64bit+, 133MHz+, SCD-, USC-, SCO-, SRD- 
Freq=2
		Status: Bus=4 Dev=29 Func=0 64bit+ 133MHz+ SCD- USC-, SCO-, 
SRD-
		: Upstream: Capacity=65535, Commitment Limit=0
		: Downstream: Capacity=65535, Commitment Limit=0

04:1e.0 PIC: Intel Corp. 82870P2 P64H2 I/OxAPIC (rev 04) (prog-if 20 [IO(X)-
APIC])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 0
	Region 0: Memory at fd9fe000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [50] PCI-X non-bridge device.
		Command: DPERE- ERO- RBC=0 OST=0
		Status: Bus=4 Dev=30 Func=0 64bit+ 133MHz+ SCD- USC-, 
DC=simple, DMMRBC=0, DMOST=0, DMCRS=0, RSCEM-

04:1f.0 PCI bridge: Intel Corp. 82870P2 P64H2 Hub PCI Bridge (rev 04) (prog-if 
00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 64, Cache Line Size 10
	Bus: primary=04, secondary=06, subordinate=06, sec-latency=64
	I/O behind bridge: 0000f000-00000fff
	Memory behind bridge: fff00000-000fffff
	Prefetchable memory behind bridge: 00000000fff00000-0000000000000000
	Secondary status: 66Mhz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
	Capabilities: [50] PCI-X bridge device.
		Secondary Status: 64bit+, 133MHz+, SCD-, USC-, SCO-, SRD- 
Freq=3
		Status: Bus=4 Dev=31 Func=0 64bit+ 133MHz+ SCD- USC-, SCO-, 
SRD-
		: Upstream: Capacity=65535, Commitment Limit=0
		: Downstream: Capacity=65535, Commitment Limit=0

07:1c.0 PIC: Intel Corp. 82870P2 P64H2 I/OxAPIC (rev 04) (prog-if 20 [IO(X)-
APIC])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 0
	Region 0: Memory at fd1ff000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [50] PCI-X non-bridge device.
		Command: DPERE- ERO- RBC=0 OST=0
		Status: Bus=7 Dev=28 Func=0 64bit+ 133MHz+ SCD- USC-, 
DC=simple, DMMRBC=0, DMOST=0, DMCRS=0, RSCEM-

07:1d.0 PCI bridge: Intel Corp. 82870P2 P64H2 Hub PCI Bridge (rev 04) (prog-if 
00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 32, Cache Line Size 10
	Bus: primary=07, secondary=08, subordinate=09, sec-latency=32
	I/O behind bridge: 0000f000-00000fff
	Memory behind bridge: fd700000-fd7fffff
	Prefetchable memory behind bridge: 00000000feb00000-00000000feb00000
	Secondary status: 66Mhz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
	Capabilities: [50] PCI-X bridge device.
		Secondary Status: 64bit+, 133MHz+, SCD-, USC-, SCO-, SRD- 
Freq=0
		Status: Bus=7 Dev=29 Func=0 64bit+ 133MHz+ SCD- USC-, SCO-, 
SRD-
		: Upstream: Capacity=65535, Commitment Limit=0
		: Downstream: Capacity=65535, Commitment Limit=0

07:1e.0 PIC: Intel Corp. 82870P2 P64H2 I/OxAPIC (rev 04) (prog-if 20 [IO(X)-
APIC])
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 0
	Region 0: Memory at fd1fe000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [50] PCI-X non-bridge device.
		Command: DPERE- ERO- RBC=0 OST=0
		Status: Bus=7 Dev=30 Func=0 64bit+ 133MHz+ SCD- USC-, 
DC=simple, DMMRBC=0, DMOST=0, DMCRS=0, RSCEM-

07:1f.0 PCI bridge: Intel Corp. 82870P2 P64H2 Hub PCI Bridge (rev 04) (prog-if 
00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+ 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort-
 <MAbort- >SERR- <PERR-
	Latency: 32, Cache Line Size 10
	Bus: primary=07, secondary=0a, subordinate=0a, sec-latency=32
	I/O behind bridge: 0000f000-00000fff
	Memory behind bridge: fd200000-fd5fffff
	Prefetchable memory behind bridge: 00000000fff00000-0000000000000000
	Secondary status: 66Mhz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity+ SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
	Capabilities: [50] PCI-X bridge device.
		Secondary Status: 64bit+, 133MHz+, SCD-, USC-, SCO-, SRD- 
Freq=0
		Status: Bus=7 Dev=31 Func=0 64bit+ 133MHz+ SCD- USC-, SCO-, 
SRD-
		: Upstream: Capacity=65535, Commitment Limit=0
		: Downstream: Capacity=65535, Commitment Limit=0

08:08.0 RAID bus controller: Dell PowerEdge Expandable RAID controller 4/Di 
(rev 01)
	Subsystem: Dell: Unknown device 0123
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort-
 <MAbort+ >SERR- <PERR-
	Latency: 32, Cache Line Size 10
	Interrupt: pin A routed to IRQ 169
	Region 0: Memory at febf0000 (32-bit, prefetchable) [size=64K]
	Expansion ROM at fd700000 [disabled] [size=64K]
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0a:06.0 Communication controller: Digi International AccelePort Xp
	Subsystem: Digi International: Unknown device 0042
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32, Cache Line Size 10
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at fd200000 (32-bit, non-prefetchable) [size=2M]
	Region 1: Memory at fd4f0000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: [44] Power Management version 1
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [4c] Vital Product Data

0b:00.0 PCI bridge: Hint Corp HB6 Universal PCI-PCI bridge (non-transparent 
mode) (rev 11) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32, Cache Line Size 10
	Bus: primary=0b, secondary=0c, subordinate=0c, sec-latency=32
	I/O behind bridge: 0000f000-00000fff
	Memory behind bridge: fcf00000-fcffffff
	Prefetchable memory behind bridge: fea00000-feafffff
	Secondary status: 66Mhz- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA+ VGA- MAbort- >Reset- FastB2B-
	Capabilities: [80] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-
,D1+,D2+,D3hot+,D3cold+)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
		Bridge: PM- B3+
	Capabilities: [90] #06 [0080]

0b:04.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27) (prog-
if 00 [VGA])
	Subsystem: Dell: Unknown device 0123
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop+ ParErr- 
Stepping+ SERR- FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (2000ns min), Cache Line Size 10
	Region 0: Memory at fb000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: I/O ports at cc00 [size=256]
	Region 2: Memory at fcdff000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [5c] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0c:08.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture 
(rev 11)
	Subsystem: Unknown device aa00:1460
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (4000ns min, 10000ns max)
	Interrupt: pin A routed to IRQ 201
	Region 0: Memory at feaff000 (32-bit, prefetchable) [size=4K]
	Capabilities: [44] Vital Product Data
	Capabilities: [4c] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0c:08.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 
11)
	Subsystem: Unknown device aa00:1460
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (1000ns min, 63750ns max)
	Interrupt: pin A routed to IRQ 201
	Region 0: Memory at feafe000 (32-bit, prefetchable) [size=4K]
	Capabilities: [44] Vital Product Data
	Capabilities: [4c] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0c:09.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture 
(rev 11)
	Subsystem: Unknown device aa01:1461
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (4000ns min, 10000ns max)
	Interrupt: pin A routed to IRQ 209
	Region 0: Memory at feafd000 (32-bit, prefetchable) [size=4K]
	Capabilities: [44] Vital Product Data
	Capabilities: [4c] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0c:09.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 
11)
	Subsystem: Unknown device aa01:1461
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (1000ns min, 63750ns max)
	Interrupt: pin A routed to IRQ 209
	Region 0: Memory at feafc000 (32-bit, prefetchable) [size=4K]
	Capabilities: [44] Vital Product Data
	Capabilities: [4c] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0c:0a.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture 
(rev 11)
	Subsystem: Unknown device aa02:1462
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (4000ns min, 10000ns max)
	Interrupt: pin A routed to IRQ 217
	Region 0: Memory at feafb000 (32-bit, prefetchable) [size=4K]
	Capabilities: [44] Vital Product Data
	Capabilities: [4c] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0c:0a.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 
11)
	Subsystem: Unknown device aa02:1462
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (1000ns min, 63750ns max)
	Interrupt: pin A routed to IRQ 217
	Region 0: Memory at feafa000 (32-bit, prefetchable) [size=4K]
	Capabilities: [44] Vital Product Data
	Capabilities: [4c] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0c:0b.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture 
(rev 11)
	Subsystem: Unknown device aa03:1463
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (4000ns min, 10000ns max)
	Interrupt: pin A routed to IRQ 225
	Region 0: Memory at feaf9000 (32-bit, prefetchable) [size=4K]
	Capabilities: [44] Vital Product Data
	Capabilities: [4c] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

0c:0b.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 
11)
	Subsystem: Unknown device aa03:1463
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR+ FastB2B-
	Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- 
<TAbort- <MAbort- >SERR- <PERR-
	Latency: 32 (1000ns min, 63750ns max)
	Interrupt: pin A routed to IRQ 225
	Region 0: Memory at feaf8000 (32-bit, prefetchable) [size=4K]
	Capabilities: [44] Vital Product Data
	Capabilities: [4c] Power Management version 2
		Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-
,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-

****************************************************************

 Nov 29 12:26:51 sensornode-wl kernel: Unable to handle kernel paging request 
at virtual address 8b848082
Nov 29 12:26:51 sensornode-wl kernel:  printing eip:
Nov 29 12:26:51 sensornode-wl kernel: 02141469
Nov 29 12:26:51 sensornode-wl kernel: *pde = 00000000
Nov 29 12:26:51 sensornode-wl kernel: Oops: 0000 [#1]
Nov 29 12:26:51 sensornode-wl kernel: SMP 
Nov 29 12:26:51 sensornode-wl kernel: Modules linked in: dgdm(U) parport_pc lp 
parport autofs4 sunrpc microcode dm_mod button battery ac md5 ipv6 uhci_hcd 
bttv video_buf i2c_algo_bit v4l2_common btcx_risc i2c_core videodev snd_bt87x 
snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore snd_page_alloc 
hw_random e1000 floppy ext3 jbd megaraid_mbox megaraid_mm sd_mod scsi_mod
Nov 29 12:26:51 sensornode-wl kernel: CPU:    0
Nov 29 12:26:51 sensornode-wl kernel: EIP:    0060:[s_show+56/486]    Not 
tainted VLI
Nov 29 12:26:51 sensornode-wl kernel: EIP:    0060:[<02141469>]    Not tainted 
VLI
Nov 29 12:26:51 sensornode-wl kernel: EFLAGS: 00010006   (2.6.9-1.667smp) 
Nov 29 12:26:51 sensornode-wl kernel: EIP is at s_show+0x38/0x1e6
Nov 29 12:26:51 sensornode-wl kernel: eax: 022cd095   ebx: 8b848082   ecx: 
00000005   edx: 39f71c00
Nov 29 12:26:51 sensornode-wl kernel: esi: 39f71c80   edi: 00000000   ebp: 
000003a7   esp: 57439f34
Nov 29 12:26:51 sensornode-wl kernel: ds: 007b   es: 007b   ss: 0068
Nov 29 12:26:51 sensornode-wl kernel: Process slabtop (pid: 27752, 
threadinfo=57439000 task=577085a0)
Nov 29 12:26:51 sensornode-wl kernel: Stack: 00000055 00000000 00000e6f 
0000482b 81c50480 02310ce8 81c50480 39f71c80 
Nov 29 12:26:51 sensornode-wl kernel:        000003a7 0216d4de 00000217 
00000059 f6fff059 0000005a 00000000 00000059 
Nov 29 12:26:51 sensornode-wl kernel:        00000000 02313be0 777fd080 
00000400 57439fac 02153cb8 57439fac f6fff000 
Nov 29 12:26:51 sensornode-wl kernel: Call Trace:
Nov 29 12:26:51 sensornode-wl kernel:  [seq_read+385/579] seq_read+0x181/0x243
Nov 29 12:26:51 sensornode-wl kernel:  [<0216d4de>] seq_read+0x181/0x243
Nov 29 12:26:51 sensornode-wl kernel:  [vfs_read+182/226] vfs_read+0xb6/0xe2
Nov 29 12:26:51 sensornode-wl kernel:  [<02153cb8>] vfs_read+0xb6/0xe2
Nov 29 12:26:51 sensornode-wl kernel:  [sys_read+60/98] sys_read+0x3c/0x62
Nov 29 12:26:51 sensornode-wl kernel:  [<02153ecb>] sys_read+0x3c/0x62
Nov 29 12:26:51 sensornode-wl kernel: Code: <3>Debug: sleeping function called 
from invalid context at include/linux/rwsem.h:43
Nov 29 12:26:51 sensornode-wl kernel: in_atomic():0[expected: 0], irqs_disabled
():1
Nov 29 12:26:51 sensornode-wl kernel:  [__might_sleep+125/138] 
__might_sleep+0x7d/0x8a
Nov 29 12:26:51 sensornode-wl kernel:  [<0211dbf3>] __might_sleep+0x7d/0x8a
Nov 29 12:26:51 sensornode-wl kernel:  [rw_vm+229/652] rw_vm+0xe5/0x28c
Nov 29 12:26:51 sensornode-wl kernel:  [<0214edd5>] rw_vm+0xe5/0x28c
Nov 29 12:26:51 sensornode-wl kernel:  [s_show+13/486] s_show+0xd/0x1e6
Nov 29 12:26:51 sensornode-wl kernel:  [<0214143e>] s_show+0xd/0x1e6
Nov 29 12:26:51 sensornode-wl kernel:  [s_show+13/486] s_show+0xd/0x1e6
Nov 29 12:26:51 sensornode-wl kernel:  [<0214143e>] s_show+0xd/0x1e6
Nov 29 12:26:51 sensornode-wl kernel:  [get_user_size+48/87] 
get_user_size+0x30/0x57
Nov 29 12:26:51 sensornode-wl kernel:  [<0214f239>] get_user_size+0x30/0x57
Nov 29 12:26:51 sensornode-wl kernel:  [s_show+13/486] s_show+0xd/0x1e6
Nov 29 12:26:52 sensornode-wl kernel:  [<0214143e>] s_show+0xd/0x1e6
Nov 29 12:26:52 sensornode-wl kernel:  [show_registers+277/364] 
show_registers+0x115/0x16c
Nov 29 12:26:52 sensornode-wl kernel:  [<021061c4>] show_registers+0x115/0x16c
Nov 29 12:26:52 sensornode-wl kernel:  [die+219/363] die+0xdb/0x16b
Nov 29 12:26:52 sensornode-wl kernel:  [<0210635b>] die+0xdb/0x16b
Nov 29 12:26:52 sensornode-wl kernel:  [vprintk+310/330] vprintk+0x136/0x14a
Nov 29 12:26:52 sensornode-wl kernel:  [<0212028c>] vprintk+0x136/0x14a
Nov 29 12:26:52 sensornode-wl kernel:  [do_page_fault+1057/1511] 
do_page_fault+0x421/0x5e7
Nov 29 12:26:52 sensornode-wl kernel:  [<02119997>] do_page_fault+0x421/0x5e7
Nov 29 12:26:52 sensornode-wl kernel:  [s_show+56/486] s_show+0x38/0x1e6
Nov 29 12:26:52 sensornode-wl kernel:  [<02141469>] s_show+0x38/0x1e6
Nov 29 12:26:52 sensornode-wl kernel:  [do_no_page+105/723] 
do_no_page+0x69/0x2d3
Nov 29 12:26:52 sensornode-wl kernel:  [<02146cd6>] do_no_page+0x69/0x2d3
Nov 29 12:26:52 sensornode-wl kernel:  [vsnprintf+1096/1160] 
vsnprintf+0x448/0x488
Nov 29 12:26:52 sensornode-wl kernel:  [<021b299d>] vsnprintf+0x448/0x488
Nov 29 12:26:52 sensornode-wl kernel:  [do_page_fault+0/1511] 
do_page_fault+0x0/0x5e7
Nov 29 12:26:52 sensornode-wl kernel:  [<02119576>] do_page_fault+0x0/0x5e7
Nov 29 12:26:52 sensornode-wl kernel:  [s_show+56/486] s_show+0x38/0x1e6
Nov 29 12:26:52 sensornode-wl kernel:  [<02141469>] s_show+0x38/0x1e6
Nov 29 12:26:52 sensornode-wl kernel:  [seq_read+385/579] seq_read+0x181/0x243
Nov 29 12:26:52 sensornode-wl kernel:  [<0216d4de>] seq_read+0x181/0x243
Nov 29 12:26:52 sensornode-wl kernel:  [vfs_read+182/226] vfs_read+0xb6/0xe2
Nov 29 12:26:52 sensornode-wl kernel:  [<02153cb8>] vfs_read+0xb6/0xe2
Nov 29 12:26:52 sensornode-wl kernel:  [sys_read+60/98] sys_read+0x3c/0x62
Nov 29 12:26:52 sensornode-wl kernel:  [<02153ecb>] sys_read+0x3c/0x62
Nov 29 12:26:52 sensornode-wl kernel:  Bad EIP value.
Nov 29 12:26:52 sensornode-wl kernel: klogd 1.4.1, ---------- state change ----
------ 
Nov 29 12:26:52 sensornode-wl kernel: Inspecting /boot/System.map-2.6.9-
1.667smp
Nov 29 12:26:52 sensornode-wl kernel: Loaded 23775 symbols 
from /boot/System.map-2.6.9-1.667smp.
Nov 29 12:26:52 sensornode-wl kernel: Symbols match kernel version 2.6.9.
Nov 29 12:26:52 sensornode-wl kernel: No module symbols loaded - kernel 
modules not enabled. 
Nov 29 12:27:02 sensornode-wl su(pam_unix)[27753]: session opened for user 
root by camera(uid=25000)

**********************************************************

Nov 30 16:52:53 sensornode-wl kernel: Unable to handle kernel paging request 
at virtual address 82817e7e
Nov 30 16:52:53 sensornode-wl kernel:  printing eip:
Nov 30 16:52:53 sensornode-wl kernel: c014c9a9
Nov 30 16:52:53 sensornode-wl kernel: *pde = 36b01001
Nov 30 16:52:53 sensornode-wl kernel: Oops: 0000 [#1]
Nov 30 16:52:53 sensornode-wl kernel: SMP 
Nov 30 16:52:53 sensornode-wl kernel: Modules linked in: parport_pc lp parport 
autofs4 sunrpc microcode dm_mod video button battery ac md5 ipv6 uhci_hcd 
bt878 bttv video_buf i2c_algo_bit v4l2_common btcx_risc tveeprom i2c_core 
videodev megaraid_mm hw_random e1000 floppy ext3 jbd megaraid sd_mod scsi_mod
Nov 30 16:52:53 sensornode-wl kernel: CPU:    2
Nov 30 16:52:53 sensornode-wl kernel: EIP:    0060:[s_show+120/595]    Not 
tainted VLI
Nov 30 16:52:53 sensornode-wl kernel: EIP:    0060:[<c014c9a9>]    Not tainted 
VLI
Nov 30 16:52:53 sensornode-wl kernel: EFLAGS: 00010006   (2.6.12-
1.1381_FC3smp) 
Nov 30 16:52:53 sensornode-wl kernel: EIP is at s_show+0x78/0x253
Nov 30 16:52:53 sensornode-wl kernel: eax: 82817e7e   ebx: 82817e7e   ecx: 
f7f75910   edx: 00000001
Nov 30 16:52:53 sensornode-wl kernel: esi: 00000000   edi: 0000004b   ebp: 
f7f75880   esp: f33a6f00
Nov 30 16:52:53 sensornode-wl kernel: ds: 007b   es: 007b   ss: 0068
Nov 30 16:52:53 sensornode-wl kernel: Process slabtop (pid: 10958, 
threadinfo=f33a6000 task=f7ed7a80)
Nov 30 16:52:53 sensornode-wl kernel: Stack: df48e840 c03193cc 00000005 
00000005 00000000 00000088 0000001d 00000001 
Nov 30 16:52:53 sensornode-wl kernel:        f7f75940 f7f75808 ffffffff 
00000000 00000141 00000091 00005e0b df48e840 
Nov 30 16:52:53 sensornode-wl kernel:        c035ea68 df48e840 f7f75880 
00000217 c017ec48 00000059 000003a7 b7fcb059 
Nov 30 16:52:53 sensornode-wl kernel: Call Trace:
Nov 30 16:52:53 sensornode-wl kernel:  [seq_read+538/697] seq_read+0x21a/0x2b9
Nov 30 16:52:53 sensornode-wl kernel:  [<c017ec48>] seq_read+0x21a/0x2b9
Nov 30 16:52:53 sensornode-wl kernel:  [vfs_read+173/264] vfs_read+0xad/0x108
Nov 30 16:52:53 sensornode-wl kernel:  [<c0160fb0>] vfs_read+0xad/0x108
Nov 30 16:52:53 sensornode-wl kernel:  [sys_read+65/106] sys_read+0x41/0x6a
Nov 30 16:52:53 sensornode-wl kernel:  [<c016124b>] sys_read+0x41/0x6a
Nov 30 16:52:53 sensornode-wl kernel:  [syscall_call+7/11] syscall_call+0x7/0xb
Nov 30 16:52:53 sensornode-wl kernel:  [<c0103ff9>] syscall_call+0x7/0xb
Nov 30 16:52:53 sensornode-wl kernel: Code: 01 00 00 8b bd b8 00 00 00 39 78 
10 0f 95 c0 31 d2 85 f6 0f 94 c2 85 d0 b8 41 93 31 c0 0f 45 f0 01 7c 24 38 83 
44 24 30 01 89 d8 <8b> 1b 0f 18 03 90 39 c1 75 d4 8b 85 88 00 00 00 8b 18 0f 
18 03 

**********************************************************
parport_pc 30981 1 - Live 0xf8a0b000
lp 16713 0 - Live 0xf89b4000
parport 38793 2 parport_pc,lp, Live 0xf89bb000
autofs4 22725 0 - Live 0xf89a1000
sunrpc 138629 1 - Live 0xf8b85000
microcode 11745 0 - Live 0xf8937000
dm_mod 59109 0 - Live 0xf89ef000
video 19653 0 - Live 0xf89a8000
button 8001 0 - Live 0xf8927000
battery 13253 0 - Live 0xf8979000
ac 8773 0 - Live 0xf8970000
md5 8001 1 - Live 0xf893b000
ipv6 262913 58 - Live 0xf8a3c000
uhci_hcd 35665 0 - Live 0xf892d000
bt878 14265 0 - Live 0xf88f9000
bttv 156209 3 bt878, Live 0xf89c7000
video_buf 25541 1 bttv, Live 0xf88eb000
i2c_algo_bit 13001 1 bttv, Live 0xf88a3000
v4l2_common 9793 1 bttv, Live 0xf8818000
btcx_risc 8905 1 bttv, Live 0xf8827000
tveeprom 16985 1 bttv, Live 0xf889d000
i2c_core 25025 3 bttv,i2c_algo_bit,tveeprom, Live 0xf8895000
videodev 13505 3 bttv, Live 0xf882c000
megaraid_mm 15077 0 - Live 0xf8887000
hw_random 9429 0 - Live 0xf8823000
e1000 105517 0 - Live 0xf88d0000
floppy 62293 0 - Live 0xf8862000
ext3 131529 2 - Live 0xf88ae000
jbd 61913 1 ext3, Live 0xf8876000
megaraid 45193 3 - Live 0xf8831000
sd_mod 22721 4 - Live 0xf881c000
scsi_mod 135561 2 megaraid,sd_mod, Live 0xf883f000

*******************************************************

Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: MegaRAID Model: LD0 RAID1 69880R Rev: 2.48
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 04 Id: 06 Lun: 00
  Vendor: PE/PV    Model: 1x6 SCSI BP      Rev: 1.1 
  Type:   Processor                        ANSI SCSI revision: 02

***************************************************************
ksymoops 2.4.9 on i686 2.6.12-1.1381_FC3smp.  Options used
     -V (default)
     -k /proc/ksyms (default)
     -l /proc/modules (default)
     -o /lib/modules/2.6.12-1.1381_FC3smp/ (default)
     -m /boot/System.map-2.6.12-1.1381_FC3smp (specified)

Error (regular_file): read_ksyms stat /proc/ksyms failed
No modules in ksyms, skipping objects
No ksyms, skipping lsmod
Nov 30 16:52:53 sensornode-wl kernel: Unable to handle kernel paging request 
at virtual address 82817e7e
Nov 30 16:52:53 sensornode-wl kernel: c014c9a9
Nov 30 16:52:53 sensornode-wl kernel: *pde = 36b01001
Nov 30 16:52:53 sensornode-wl kernel: Oops: 0000 [#1]
Nov 30 16:52:53 sensornode-wl kernel: CPU:    2
Nov 30 16:52:53 sensornode-wl kernel: EIP:    0060:[s_show+120/595]    Not 
tainted VLI
Nov 30 16:52:53 sensornode-wl kernel: EIP:    0060:[<c014c9a9>]    Not tainted 
VLI
Using defaults from ksymoops -t elf32-i386 -a i386
Nov 30 16:52:53 sensornode-wl kernel: EFLAGS: 00010006   (2.6.12-1.1381_FC3smp)
Nov 30 16:52:53 sensornode-wl kernel: eax: 82817e7e   ebx: 82817e7e   ecx: 
f7f75910   edx: 00000001
Nov 30 16:52:53 sensornode-wl kernel: esi: 00000000   edi: 0000004b   ebp: 
f7f75880   esp: f33a6f00
Nov 30 16:52:53 sensornode-wl kernel: ds: 007b   es: 007b   ss: 0068
Nov 30 16:52:53 sensornode-wl kernel: Stack: df48e840 c03193cc 00000005 
00000005 00000000 00000088 0000001d 00000001
Nov 30 16:52:53 sensornode-wl kernel:        f7f75940 f7f75808 ffffffff 
00000000 00000141 00000091 00005e0b df48e840
Nov 30 16:52:53 sensornode-wl kernel:        c035ea68 df48e840 f7f75880 
00000217 c017ec48 00000059 000003a7 b7fcb059
Nov 30 16:52:53 sensornode-wl kernel: Call Trace:
Nov 30 16:52:53 sensornode-wl kernel:  [<c017ec48>] seq_read+0x21a/0x2b9
Nov 30 16:52:53 sensornode-wl kernel:  [<c0160fb0>] vfs_read+0xad/0x108
Nov 30 16:52:53 sensornode-wl kernel:  [<c016124b>] sys_read+0x41/0x6a
Nov 30 16:52:53 sensornode-wl kernel:  [<c0103ff9>] syscall_call+0x7/0xb
Nov 30 16:52:53 sensornode-wl kernel: Code: 01 00 00 8b bd b8 00 00 00 39 78 
10 0f 95 c0 31 d2 85 f6 0f 94 c2 85 d0 b8 41 93 31 c0 0f 45 f0 01 7c 24 38 83 
44\ 24 30 01 89 d8 <8b> 1b 0f 18 03 90 39 c1 75 d4 8b 85 88 00 00 00 8b 18 0f 
18 03
Warning (Oops_code): trailing garbage ignored on Code: line
  Text: 'Code: 01 00 00 8b bd b8 00 00 00 39 78 10 0f 95 c0 31 d2 85 f6 0f 94 
c2 85 d0 b8 41 93 31 c0 0f 45 f0 01 7c 24 38 83 44\ 24 30 01 89 d8 <8b> 1b 0f 
18 03 90 39 c1 75 d4 8b 85 88 00 00 00 8b 18 0f 18 03'
  Garbage: '\ 24 30 01 89 d8 <8b> 1b 0f 18 03 90 39 c1 75 d4 8b 85 88 00 00 00 
8b 18 0f 18 03'


>>EIP; c014c9a9 <s_show+78/253>   <=====

Trace; c017ec48 <seq_read+21a/2b9>
Trace; c0160fb0 <vfs_read+ad/108>
Trace; c016124b <sys_read+41/6a>
Trace; c0103ff9 <syscall_call+7/b>

Code;  c014c9a9 <s_show+78/253>
00000000 <_EIP>:
Code;  c014c9a9 <s_show+78/253>   <=====
   0:   01 00                     add    %eax,(%eax)   <=====
Code;  c014c9ab <s_show+7a/253>
   2:   00 8b bd b8 00 00         add    %cl,0xb8bd(%ebx)
Code;  c014c9b1 <s_show+80/253>
   8:   00 39                     add    %bh,(%ecx)
Code;  c014c9b3 <s_show+82/253>
   a:   78 10                     js     1c <_EIP+0x1c>
Code;  c014c9b5 <s_show+84/253>
   c:   0f 95 c0                  setne  %al
Code;  c014c9b8 <s_show+87/253>
   f:   31 d2                     xor    %edx,%edx
Code;  c014c9ba <s_show+89/253>
  11:   85 f6                     test   %esi,%esi
Code;  c014c9bc <s_show+8b/253>
  13:   0f 94 c2                  sete   %dl
Code;  c014c9bf <s_show+8e/253>
  16:   85 d0                     test   %edx,%eax
Code;  c014c9c1 <s_show+90/253>
  18:   b8 41 93 31 c0            mov    $0xc0319341,%eax
Code;  c014c9c6 <s_show+95/253>
  1d:   0f 45 f0                  cmovne %eax,%esi
Code;  c014c9c9 <s_show+98/253>
  20:   01 7c 24 38               add    %edi,0x38(%esp)
Code;  c014c9cd <s_show+9c/253>
  24:   83 44 00 00 00            addl   $0x0,0x0(%eax,%eax,1)


1 warning and 1 error issued.  Results may not be reliable.
Comment 1 Dave Jones 2005-12-07 01:01:36 EST
Please reopen if you can reproduce with an updated kernel (There are *thousands*
of fixes all over the tree since 2.6.9), and without the dgdm driver loaded.
Comment 2 Mike Tiernan 2005-12-12 13:57:43 EST
Created attachment 122152 [details]
2.6.12 Oops w/o dgdm driver

Here's the /var/log/message output for a kernel which did not have the dgdm
driver loaded.

Dec  9 00:55:51 sensornode-wl kernel: Unable to handle kernel paging request at
virtual address 80828686
Dec  9 00:55:51 sensornode-wl kernel:  printing eip:
Dec  9 00:55:51 sensornode-wl kernel: c014c9a9
Dec  9 00:55:51 sensornode-wl kernel: *pde = efcdb954
Dec  9 00:55:51 sensornode-wl kernel: Oops: 0000 [#1]
Dec  9 00:55:51 sensornode-wl kernel: SMP
Dec  9 00:55:51 sensornode-wl kernel: Modules linked in: parport_pc lp parport
autofs4 sunrpc microcode dm_mod video button battery ac md5 ipv6 uhci_hcd bt878
bttv video_buf i2c_algo_bit v4l2_comm\on btcx_risc tveeprom i2c_core videodev
megaraid_mm hw_random e1000 floppy ext3 jbd megaraid sd_mod scsi_mod
Dec  9 00:55:51 sensornode-wl kernel: CPU:    2
Dec  9 00:55:51 sensornode-wl kernel: EIP:    0060:[s_show+120/595]    Not
tainted VLI
Dec  9 00:55:51 sensornode-wl kernel: EIP:    0060:[<c014c9a9>]    Not tainted
VLI
Dec  9 00:55:51 sensornode-wl kernel: EFLAGS: 00010002	 (2.6.12-1.1381_FC3smp)

Dec  9 00:55:51 sensornode-wl kernel: EIP is at s_show+0x78/0x253
Dec  9 00:55:51 sensornode-wl kernel: eax: 80828686   ebx: 80828686   ecx:
f7f6dd10   edx: 00000001
Dec  9 00:55:51 sensornode-wl kernel: esi: 00000000   edi: 0000000e   ebp:
f7f6dc80   esp: da9bdf00
Dec  9 00:55:51 sensornode-wl kernel: ds: 007b	 es: 007b   ss: 0068
Dec  9 00:55:51 sensornode-wl kernel: Process slabtop (pid: 5358,
threadinfo=da9bd000 task=c2279020)
Dec  9 00:55:51 sensornode-wl kernel: Stack: efd69780 c03193cc 00000001
00000001 00000000 00000094 0000001b 00000001
Dec  9 00:55:51 sensornode-wl kernel:	     f7f6dd40 f7f6dc08 ffffffff
00000000 000000f2 0000001b 00000d3c efd69780
Dec  9 00:55:51 sensornode-wl kernel:	     c035ea68 efd69780 f7f6dc80
000001ac c017ec48 0000002b 000003d5 b7f5702b
Dec  9 00:55:51 sensornode-wl kernel: Call Trace:
Dec  9 00:55:51 sensornode-wl kernel:  [seq_read+538/697] seq_read+0x21a/0x2b9
Dec  9 00:55:51 sensornode-wl kernel:  [<c017ec48>] seq_read+0x21a/0x2b9
Dec  9 00:55:51 sensornode-wl kernel:  [vfs_read+173/264] vfs_read+0xad/0x108
Dec  9 00:55:51 sensornode-wl kernel:  [<c0160fb0>] vfs_read+0xad/0x108
Dec  9 00:55:51 sensornode-wl kernel:  [sys_read+65/106] sys_read+0x41/0x6a
Dec  9 00:55:51 sensornode-wl kernel:  [<c016124b>] sys_read+0x41/0x6a
Dec  9 00:55:51 sensornode-wl kernel:  [syscall_call+7/11] syscall_call+0x7/0xb

Dec  9 00:55:51 sensornode-wl kernel:  [<c0103ff9>] syscall_call+0x7/0xb
Dec  9 00:55:51 sensornode-wl kernel: Code: 01 00 00 8b bd b8 00 00 00 39 78 10
0f 95 c0 31 d2 85 f6 0f 94 c2 85 d0 b8 41 93 31 c0 0f 45 f0 01 7c 24 38 83 44
24 30 01 89 d8 <8b> 1b 0f 18 03 90 39 \c1 75 d4 8b 85 88 00 00 00 8b 18 0f 18
03
Dec  9 13:36:58 sensornode-wl syslogd 1.4.1: restart.
Comment 3 Dave Jones 2005-12-12 14:37:34 EST
at the time of the crash, it's trying to read from a /proc file.
Can you find out what that file is, perhaps by strace'ing the application which
reproduces this problem ?
Comment 4 Mike Tiernan 2005-12-13 10:07:24 EST
We don't know what /proc file was being accessed at the time of the crash, but 
we are trying to determine which process was running when the Oops ccurred, in 
order to obtain the information you've requested. We are running a number of 
scripts from Nagios every five minutes, which access some of the files in 
the /proc directory, however, we don't think /proc/slabinfo is one of them. 
We'd like to understand the kernel Oops output a little better. Was slabtop 
the process that was running when the kernel Oops occurred? Also, can you tell 
us the line number of the code that was running in s_show at the time of the 
crash?  
Comment 5 Mike Tiernan 2005-12-13 14:05:50 EST
We're having some trouble gettng ksymoops (Jan. 2005) to process the Oops data.
It doesn't seem to be able to interpret the format of the /proc/kallsyms file.
As an alternative, we're going to try some of the other recommended ways of
obtaining information. In the meantime, assuming slabtop was the process that
was running when the Oops occurred, then it appears that the kernel data
structure that it was trying to access was /proc/slabinfo. It's not clear what
entity started slabtop. We are running a few user applications, however, we
don't think that any of them started an instance of slabtop. It's possible that
someone started a slabtop manually from an xterm, and it was this instance that
was running when the Oops occurred.
Comment 6 Dave Jones 2005-12-14 09:51:39 EST
ksymoops isn't needed in 2.6 kernels, as the symbol names are decoded already.

It's interesting that slabtop is the process that breaks every time.  Is the box
responsive at all after the oops ? Do you get a second oops if you cat
/proc/slabinfo ?
Comment 7 Michael D. Beynon 2005-12-14 14:55:09 EST
Once the oops occurs, the box is typically locked up hard requiring a power
cycle to recover.  Thus we have not had the opportunity to try a manual cat of
/proc/slabinfo to see if that causes a second oops.

It seems to me that slab.c:s_show() is merely the entity that discovers the
corruption of slab.c data structures.  Our attempt to map the EIP offset into
s_show into the slab.c code makes us believe the
list_for_each(...,cachep->lists.slabs_partial) may be where it fails.  Since all
this is doing is printing out what it finds, this implies something else has
corrupted this list.
Comment 8 Dave Jones 2005-12-14 15:50:41 EST
I'm wondering if the bttv driver is corrupting memory. I'll look over the
changes that have happened upstream since 2.6.12, to see if theres anything obvious
(With FC3 being so close to end of life, it's not going to get rebased to a
newer kernel, but I'll do another 2.6.12 fc3 update if critical bugs like this
are found, and theres an existing patch).
Comment 9 Michael D. Beynon 2005-12-15 11:50:50 EST
Antoher detail I don't think has been mentioned is we are framegrabbing two
channels simultaneously using the kernel bttv driver v4l2 api (/dev/video0 and
/dev/video1).  Using two channels appears empirically to increase the chances of
the above-described oops occurring.  The problem may be that two channels
explicitly creates the unsafe condition, or that two channels simply stresses
the system enough that something else causes the problem.
Comment 10 Dave Jones 2005-12-15 20:29:15 EST
I didn't see anything obvious in the diffs between the FC3 bttv driver and
latest upstream, so I'm running out of ideas on this one right now.
Comment 11 Dave Jones 2006-01-16 17:12:06 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 12 Dave Jones 2006-02-03 02:08:43 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 13 John Thacker 2006-05-04 22:01:51 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.